<?php
class Database {
    // private $host = 'localhost';
    // private $db_name = 'ips_db';
    // private $username = 'root';
    // private $password = '';
    public $conn;
    private $host = 'mysql-194440-0.cloudclusters.net';      // Database host
    private $db_name = 'ips_db'; // Your database name
    private $username = 'test';// Database username
    private $password = '12345678';// Database password
    private $port = 10001;// Database port


    public function getConnection() {
        $this->conn = null;
        try {
            $this->conn = new PDO("mysql:host=" . $this->host . ";dbname=" . $this->db_name, $this->username, $this->password);
            $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch(PDOException $exception) {
            echo "Connection error: " . $exception->getMessage();
        }
        return $this->conn;
    }
}
?>